Skip to content

Update to RFC 9260 #402

Open
6 of 10 issues completed
Open

Description

@philipch07

Currently, the SCTP implementation is based off of RFC 4960 which is obseleted by RFC 9260. It would be nice to update SCTP to RFC 9260!

This issue can help to keep track of the different things that were necessary to update to RFC 9260. I'm not super sure about creating sub-issues for everything, but if anyone wants to help out, it would probably be a good way to manage tasks!

Note that RFC 9260 includes/updates RFC 7053 (I-Bit), which is also referenced in the somewhat newer paper (March 2021 instead of October 2020) that includes a description of RACK for SCTP, see section 7.3.4: I-Bit - WCDelAck Avoidance.

Metadata

Metadata

Assignees

No one assigned

    Labels

    enhancementNew feature or request

    Projects

    No projects

      Milestone

      No milestone

      Relationships

      None yet

      Development

      No branches or pull requests

      Issue actions

      ⌂ 换网址